Bug 1270295 - dnf bash-completion is a bit flaky
Summary: dnf bash-completion is a bit flaky
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 28
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Kutlak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Triaged, UserExperience
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-09 14:19 UTC by Davide Repetto
Modified: 2018-06-28 16:41 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-06-28 08:13:31 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Davide Repetto 2015-10-09 14:19:40 UTC
Description of problem:
=======================
The bash-completion of dnf does not always work properly. I will give a few examples here:

- "dnf list pe<TAB>" is not auto-completed while "dnf list available pe<TAB>" works as expected.

- "dnf -y ..." is never completed whatever follows

- "dnf install abc<TAB>" is autocompleted but the completion also shows packages that are already installed, while "dnf remove abc<TAB>" appears to work correctly. That is, it proposes only packages that are installed.

- When new repos are added (eg. a copr has just been enabled) the bash-completion is not aware about their presence until dnf somehow populates the cache. For which incidentally a simple "dnf makecache" is not sufficient and a "--refresh" needs to be specified.


Version-Release number of selected component:
=============================================
dnf-1.1.2-4.fc22.noarch

How reproducible:
=================
Consistently, with the provided examples.

Comment 1 Honza Silhan 2015-10-13 14:30:22 UTC
Thanks for the report.

Could that be improved, Igor?

Otherwise it could be fixed by argcomplete integration.

Comment 2 Christopher Tubbs 2016-05-24 05:02:21 UTC
This appears to be duplicate of bz#1227980

Comment 3 Fedora Admin XMLRPC Client 2016-07-08 09:30:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2016-07-19 18:10:05 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Fedora End Of Life 2017-07-25 19:21:04 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-11-16 19:36:56 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Davide Repetto 2017-11-17 17:47:36 UTC
Bugs still present in FC27 dnf-2.7.5-1.fc27.noarch

Comment 8 Abhiram K 2018-01-07 09:01:34 UTC
Can confirm that the mentioned bugs aren't present for me and 2 other systems on FC27 dnf-0:2.7.5-2.fc27.noarch after I install sqlite.

Maybe adding sqlite as a dep for dnf would be okay?

Comment 9 Zamir SUN 2018-03-13 12:07:22 UTC
Commenting on behalf on another non-English speaker: After system installed, sqlite is not installed, so dnf install and dnf remove auto completion don't work.

I confirmed sqlite is not a dependency of dnf. So I suggest maybe packager should add sqlite to dnf as dependency?

Thanks.

Comment 10 Davide Repetto 2018-05-04 18:33:27 UTC
This problem with auto completion still  happens on Fedora 28. Bumbing release to 28.

Comment 11 Martin Kutlak 2018-06-04 16:44:02 UTC
I think all the described problems were fixed with this PR:

https://github.com/rpm-software-management/dnf/pull/894/commits

Comment 12 Jaroslav Mracek 2018-06-28 08:13:31 UTC
The issue is solved by dnf-3.0.1-1 that was released into rawhide.

Comment 13 Davide Repetto 2018-06-28 16:26:54 UTC
Any plans to port it into f28?

Comment 14 Jaroslav Mracek 2018-06-28 16:41:38 UTC
Yes, but we it requires FESCO approve (https://pagure.io/fesco/issue/1883).


Note You need to log in before you can comment on or make changes to this bug.